<html>
<head>
<title>Ogre::WindowEventListener Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1WindowEventListener.html">WindowEventListener</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::WindowEventListener Class Reference<div class="ingroups"><a class="el" href="group__RenderSystem.html">RenderSystem</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::WindowEventListener" -->
<p><code>#include &lt;<a class="el" href="OgreWindowEventUtilities_8h_source.html">OgreWindowEventUtilities.h</a>&gt;</code></p>

<p><a href="classOgre_1_1WindowEventListener-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WindowEventListener.html#a908a45e8cf9e3c5f35988abed57b12da">~WindowEventListener</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WindowEventListener.html#abf7a3cb2023860d55367c9ed337d386c">windowMoved</a> (<a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a> *rw)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WindowEventListener.html#a87d8fa99072dfdb5d3b0b26a7cfd0120">windowResized</a> (<a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a> *rw)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WindowEventListener.html#af9fa93b6ae8284d7ba3d20c329edab82">windowClosing</a> (<a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a> *rw)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WindowEventListener.html#ad18f2f48f1d6f501b05ffd9e9a782590">windowClosed</a> (<a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a> *rw)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WindowEventListener.html#a8a1cf8cba40a4b84db339ccb02c0bf3c">windowFocusChange</a> (<a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a> *rw)</td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><dl class="remark"><dt><b>Remarks:</b></dt><dd>Callback class used to send out window events to client app </dd></dl>

<p>Definition at line <a class="el" href="OgreWindowEventUtilities_8h_source.html#l00058">58</a> of file <a class="el" href="OgreWindowEventUtilities_8h_source.html">OgreWindowEventUtilities.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a908a45e8cf9e3c5f35988abed57b12da"></a><!-- doxytag: member="Ogre::WindowEventListener::~WindowEventListener" ref="a908a45e8cf9e3c5f35988abed57b12da" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1WindowEventListener.html#a908a45e8cf9e3c5f35988abed57b12da">Ogre::WindowEventListener::~WindowEventListener</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreWindowEventUtilities_8h_source.html#l00061">61</a> of file <a class="el" href="OgreWindowEventUtilities_8h_source.html">OgreWindowEventUtilities.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ad18f2f48f1d6f501b05ffd9e9a782590"></a><!-- doxytag: member="Ogre::WindowEventListener::windowClosed" ref="ad18f2f48f1d6f501b05ffd9e9a782590" args="(RenderWindow *rw)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1WindowEventListener.html#ad18f2f48f1d6f501b05ffd9e9a782590">Ogre::WindowEventListener::windowClosed</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a> *&#160;</td>
          <td class="paramname"><em>rw</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Window has been closed (Only triggered if user pressed the [X] button) </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">rw</td><td>The <a class="el" href="classOgre_1_1RenderWindow.html" title="Manages the target rendering window.">RenderWindow</a> which created this events </td></tr>
  </table>
  </dd>
</dl>
<dl class="note"><dt><b>Note:</b></dt><dd>The window has not actually close yet when this event triggers. It's only closed after all windowClosed events are triggered. This allows apps to deinitialise properly if they have services that needs the window to exist when deinitialising. </dd></dl>

<p>Definition at line <a class="el" href="OgreWindowEventUtilities_8h_source.html#l00101">101</a> of file <a class="el" href="OgreWindowEventUtilities_8h_source.html">OgreWindowEventUtilities.h</a>.</p>

</div>
</div>
<a class="anchor" id="af9fa93b6ae8284d7ba3d20c329edab82"></a><!-- doxytag: member="Ogre::WindowEventListener::windowClosing" ref="af9fa93b6ae8284d7ba3d20c329edab82" args="(RenderWindow *rw)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1WindowEventListener.html#af9fa93b6ae8284d7ba3d20c329edab82">Ogre::WindowEventListener::windowClosing</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a> *&#160;</td>
          <td class="paramname"><em>rw</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Window is closing (Only triggered if user pressed the [X] button) </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">rw</td><td>The <a class="el" href="classOgre_1_1RenderWindow.html" title="Manages the target rendering window.">RenderWindow</a> which created this events </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>True will close the window(default). </dd></dl>

<p>Definition at line <a class="el" href="OgreWindowEventUtilities_8h_source.html#l00088">88</a> of file <a class="el" href="OgreWindowEventUtilities_8h_source.html">OgreWindowEventUtilities.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8a1cf8cba40a4b84db339ccb02c0bf3c"></a><!-- doxytag: member="Ogre::WindowEventListener::windowFocusChange" ref="a8a1cf8cba40a4b84db339ccb02c0bf3c" args="(RenderWindow *rw)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1WindowEventListener.html#a8a1cf8cba40a4b84db339ccb02c0bf3c">Ogre::WindowEventListener::windowFocusChange</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a> *&#160;</td>
          <td class="paramname"><em>rw</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Window has lost/gained focus </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">rw</td><td>The <a class="el" href="classOgre_1_1RenderWindow.html" title="Manages the target rendering window.">RenderWindow</a> which created this events </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="OgreWindowEventUtilities_8h_source.html#l00110">110</a> of file <a class="el" href="OgreWindowEventUtilities_8h_source.html">OgreWindowEventUtilities.h</a>.</p>

</div>
</div>
<a class="anchor" id="abf7a3cb2023860d55367c9ed337d386c"></a><!-- doxytag: member="Ogre::WindowEventListener::windowMoved" ref="abf7a3cb2023860d55367c9ed337d386c" args="(RenderWindow *rw)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1WindowEventListener.html#abf7a3cb2023860d55367c9ed337d386c">Ogre::WindowEventListener::windowMoved</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a> *&#160;</td>
          <td class="paramname"><em>rw</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Window has moved position </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">rw</td><td>The <a class="el" href="classOgre_1_1RenderWindow.html" title="Manages the target rendering window.">RenderWindow</a> which created this events </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="OgreWindowEventUtilities_8h_source.html#l00069">69</a> of file <a class="el" href="OgreWindowEventUtilities_8h_source.html">OgreWindowEventUtilities.h</a>.</p>

</div>
</div>
<a class="anchor" id="a87d8fa99072dfdb5d3b0b26a7cfd0120"></a><!-- doxytag: member="Ogre::WindowEventListener::windowResized" ref="a87d8fa99072dfdb5d3b0b26a7cfd0120" args="(RenderWindow *rw)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1WindowEventListener.html#a87d8fa99072dfdb5d3b0b26a7cfd0120">Ogre::WindowEventListener::windowResized</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a> *&#160;</td>
          <td class="paramname"><em>rw</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Window has resized </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">rw</td><td>The <a class="el" href="classOgre_1_1RenderWindow.html" title="Manages the target rendering window.">RenderWindow</a> which created this events </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="OgreWindowEventUtilities_8h_source.html#l00078">78</a> of file <a class="el" href="OgreWindowEventUtilities_8h_source.html">OgreWindowEventUtilities.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreWindowEventUtilities_8h_source.html">OgreWindowEventUtilities.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:10
</p>
</body>
</html>
